从何处获取 CDO 库(所有版本)

协作数据对象(所有版本)库用于将消息传递和协作功能实施到自定义应用程序中。 本文包含有关可在何处找到这些库的信息。

用于 CDO 的动态链接库(Dll)(1.1、1.2、1.21)和 CDO 呈现(1.1、1.2)是 MAPI 客户端对象库。 因此,它们需要 MAPI 和服务提供商(例如,与 Microsoft Exchange Server 相同的服务提供商)。 NTS (CDONTS)的协作数据对象是一种简单邮件传输协议(SMTP)的邮件服务,它是整个 CDO (1.1,1.2)库的一部分,但不依赖于 MAPI。 适用于 Windows 2000 (CDOSYS)的协作数据对象是通过 CDONTS 的 SMTP 消息中的量子 leap。 CDOSYS 通过广泛的 MIME 支持提供丰富的内容。 这些文件的名称根据下表中所述的 CDO 版本而有所不同:

版本

消息传递库 MSG

呈现 Lib RND

NTS 的 CDO (NTS)

用于 Win2K 的 CDO 系统

v1.1

Olemsg32.dll

Amhtml.dll

Cdonts.dll

n/a

v1.2

Cdo.dll

Cdohtml.dll

Cdonts.dll

n/a

v1.21

Cdo.dll

Cdohtml.dll

n/a

n/a

v6.0

n/a

n/a

n/a

Cdosys.dll

可通过以下产品安装获取这些文件:

v1.1

v1.2

v1.21

v6.0

MSG

RND

NTS

MSG

RND

NTS

MSG

RND

NTS

系统

Outlook 8.00

将要

将要

将要

将要

将要

将要

将要

将要

将要

将要

Exchange 5.0 客户端

Y

将要

将要

将要

将要

将要

将要

将要

将要

将要

Outlook 8.01-8.03

Y

将要

将要

将要

将要

将要

将要

将要

将要

将要

Exchange 5.0 服务器

Y

Y

Y

将要

将要

将要

将要

将要

将要

将要

IIS 4。0

将要

将要

Y

将要

将要

将要

将要

将要

将要

将要

Outlook 98

将要

将要

将要

将要

将要

将要

Y

将要

将要

将要

Exchange 5.5 服务器

将要

将要

将要

Y

Y

Y

将要

将要

将要

将要

Exchange 5.5 服务器 SP1

将要

将要

将要

将要

Y

Y

Y

将要

将要

将要

Exchange 5.5 服务器 SP2

将要

将要

将要

将要

Y

Y

Y

将要

将要

将要

Outlook 2000

将要

将要

将要

将要

将要

将要

Y

将要

将要

将要

Outlook 2002

将要

将要

将要

将要

将要

将要

Y

将要

将要

将要

Outlook 2003

将要

将要

将要

将要

将要

将要

Y

将要

将要

将要

Windows 2000

将要

将要

将要

将要

将要

将要

将要

将要

将要

Y

Exchange 2000

将要

将要

将要

将要

将要

将要

Y

Y

将要

将要

Exchange 2000 SP1

将要

将要

将要

将要

将要

将要

Y

Y

将要

将要

Exchange 2000 SP2

将要

将要

将要

将要

将要

将要

Y

Y

将要

将要

Exchange 2000 SP3

将要

将要

将要

将要

将要

将要

Y

Y

将要

将要

Windows 2003

将要

将要

将要

将要

将要

将要

将要

将要

将要

Y

Exchange 2003

将要

将要

将要

将要

将要

将要

Y

将要

将要

将要

从 Microsoft Exchange Server 2007 Beta 2 开始,消息处理 API (MAPI)客户端库和 CDO 1.2.1 均不包含在内。 因此,缺少功能,并且许多应用程序依赖于此功能。 Microsoft Exchange MAPI 和 CDO 1.2.1 提供对这些 Api 的访问权限。 这些 Api 提供对 MAPI 存储的内容的访问权限。

注意 由于此版本的 CDO 包含在 Exchange 2003 中,因此我们不支持在安装了 Outlook 的计算机上安装此版本。 有关更多信息,请单击下面的文章编号,以查看 Microsoft 知识库中相应的文章:

266418 Microsoft 不支持在同一台计算机上安装 Exchange Server 组件和 Outlook   对于运行 Outlook 2010 的计算机,不支持使用 CDO。 有关详细信息,请参阅以下 Microsoft Knoowledge 基本文章:

Outlook 2010 不支持协作数据对象(CDO)1.2。1 注意 CDO 版本1.2.1 是指 API 的版本,而不是实现 API 的 DLL 版本。 Outlook 2007 的 CDO 下载中包含的 DLL 是版本6.5。 这不是 CDOSYS 的更新,本文所述的版本为版本6.0。 使用 Exchange 安装 CDO 1.21 时,可以使用以下方法之一安装:

  • 安装 Exchange Server (Exchange 5.5、2000和2003)

  • 仅安装 Exchange 管理员(或 Exchange 系统管理器)实用工具(Exchange 5.5、2000和2003)

  • 安装 Outlook Web Access (仅限 OWA-Exchange 5.5)

安装完成后,你可能需要使用 Regsrv32 (即 Regsrv32 完整路径和 Cdo 文件名)手动注册 cdo。DLL)。 对于 Exchange 系统管理器安装,在使用 Regsrv32 注册 Cdo 之前,必须将安装媒体中的 Cdo 复制到% Program Files%/Exchsrvr/bin 目录。 默认情况下,Outlook 安装不包含 CDO 1.2 x 组件。 查看 Office 或 Outlook 设置的选项时,将在 Outlook 的 "选项" 下方列出 "CDO"。

需要更多帮助?

扩展你的技能
了解培训
抢先获得新功能
加入 Microsoft 内部人员

此信息是否有帮助?

谢谢您的反馈意见!

×